Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.syntax
[Java] Class ParserException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.codehaus.groovy.GroovyException
                  org.codehaus.groovy.syntax.SyntaxException
                      org.codehaus.groovy.syntax.TokenException
                          org.codehaus.groovy.syntax.ParserException

    public class ParserException
    extends TokenException

Constructor Summary
`ParserException(String message, Token token)`
`ParserException(String message, Throwable cause, int lineNumber, int columnNumber)`

Method Summary

Methods inherited from class TokenException
getEndColumn

Methods inherited from class SyntaxException
getEndColumn, getLine, getMessage, getOriginalMessage, getSourceLocator, getStartColumn, getStartLine, setSourceLocator

Methods inherited from class GroovyException
isFatal, setFatal

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ParserException

    public ParserException(String message, Token token)

### ParserException

    public ParserException(String message, Throwable cause, int lineNumber, int columnNumber)

Copyright © 2003-2010 The Codehaus. All rights reserved.